{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.DeliveryChargeSpecification where

--  Valid: 2014-04-03 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Intangible
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.StructuredValue
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.PriceSpecification

-- | 
--
--   [@id@] DeliveryChargeSpecification
--
--   [@label@] Delivery Charge Specification
--
--   [@comment@] 
--
--   [@ancestors@] @'Thing','Intangible','StructuredValue','PriceSpecification'@
--
--   [@subtypes@]
--
--   [@supertypes@] @'PriceSpecification'@
--
--   [@url@] <http://schema.org/DeliveryChargeSpecification>
data DeliveryChargeSpecification = DeliveryChargeSpecification { additionalType :: AdditionalType
                                                               , alternateName :: AlternateName
                                                               , description :: Description
                                                               , image :: Image
                                                               , name :: Name
                                                               , sameAs :: SameAs
                                                               , url :: Url
                                                               , eligibleQuantity :: EligibleQuantity
                                                               , eligibleTransactionVolume :: EligibleTransactionVolume
                                                               , maxPrice :: MaxPrice
                                                               , minPrice :: MinPrice
                                                               , price :: Price
                                                               , priceCurrency :: PriceCurrency
                                                               , validFrom :: ValidFrom
                                                               , validThrough :: ValidThrough
                                                               , valueAddedTaxIncluded :: ValueAddedTaxIncluded
                                                               , appliesToDeliveryMethod :: AppliesToDeliveryMethod
                                                               , eligibleRegion :: EligibleRegion
                                                               }
                                   deriving (Show, Read, Eq, Typeable)

instance MetaData DeliveryChargeSpecification where
  _label         = const "Delivery Charge Specification"
  _comment_plain = const ""
  _comment       = const ""
  _url           = const "http://schema.org/DeliveryChargeSpecification"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Intangible.Intangible)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.StructuredValue.StructuredValue)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.PriceSpecification.PriceSpecification)]
  _subtypes      = const []
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.PriceSpecification.PriceSpecification)]